Debian Bug report logs - #427852
no ipv6 support

version graph

Package: iftop; Maintainer for iftop is Markus Koschany <apo@gambaru.de>; Source for iftop is src:iftop.

Reported by: Joey Hess <joeyh@debian.org>

Date: Wed, 6 Jun 2007 22:09:01 UTC

Severity: normal

Tags: confirmed, ipv6, patch

Found in versions iftop/0.17-4, iftop/0.17-16

Fixed in version iftop/0.17-17

Done: Alexander Reichle-Schmehl <tolimar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#427852; Package iftop. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: no ipv6 support
Date: Wed, 6 Jun 2007 18:07:49 -0400
[Message part 1 (text/plain, inline)]
Package: iftop
Version: 0.17-4
Severity: normal

Seems that iftop doesn't display ipv6 traffic. For example, I had a ssh
connection with audio streaming over it on my local network, and
wondered how much BW that was eating. iftop didn't show it at all, in
tcpdump it looked like this:

17:58:50.691229 IP6 2002:189f:2d7f:0:2e0:ff:feae:5d91.ssh > 2002:189f:2d7f:0:230:1bff:feae:f8ee.37566: . 222272:223700(1428) ack 129 win 1012 <nop,nop,timestamp 18412824 20700660>
17:58:50.691275 IP6 2002:189f:2d7f:0:2e0:ff:feae:5d91.ssh > 2002:189f:2d7f:0:230:1bff:feae:f8ee.37566: P 223700:224224(524) ack 129 win 1012 <nop,nop,timestamp 18412824 20700660>
17:58:50.704136 IP6 2002:189f:2d7f:0:2e0:ff:feae:5d91.ssh > 2002:189f:2d7f:0:230:1bff:feae:f8ee.37566: . 224224:225652(1428) ack 129 win 1012 <nop,nop,timestamp 18412827 20700662>
17:58:50.704184 IP6 2002:189f:2d7f:0:2e0:ff:feae:5d91.ssh > 2002:189f:2d7f:0:230:1bff:feae:f8ee.37566: P 225652:226144(492) ack 129 win 1012 <nop,nop,timestamp 18412827 20700662>

jnettop was able to display this traffic, fwiw.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages iftop depends on:
ii  libc6                         2.5-9      GNU C Library: Shared libraries
ii  libncurses5                   5.6-3      Shared libraries for terminal hand
ii  libpcap0.8                    0.9.5-1    System interface for user-level pa

iftop recommends no packages.

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Tags added: ipv6 Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Mon, 29 Sep 2008 06:33:04 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 19 Jan 2010 14:30:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:10 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:24 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug#427852; Package iftop. (Thu, 02 Sep 2010 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Alexander Reichle-Schmehl <tolimar@debian.org>. (Thu, 02 Sep 2010 19:42:04 GMT) Full text and rfc822 format available.

Message #20 received at 427852@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 427852@bugs.debian.org
Subject: Progress on IPv6 for Iftop.
Date: Thu, 2 Sep 2010 21:40:06 +0200
Package: iftop
Version: 0.17-16


Hello all,

this short note is to declare that I am doing progress on implementing
support for IPv6 in Iftop. There are two unsolved issues at the moment:

  * Name resolution of both address families.

  * Netmasked filtering.

When I have resolved the first of these I will submit a first patch
for reviewing. Presently numerical display of both address types
is fully functional, also with pcap filtring of course.


Regards,

Mats Erik Andersson, fil. dr

Abonnerar på: debian-mentors, debian-devel-games, debian-perl,
              debian-ipv6, debian-qa




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug#427852; Package iftop. (Mon, 20 Sep 2010 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Alexander Reichle-Schmehl <tolimar@debian.org>. (Mon, 20 Sep 2010 18:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 427852@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 427852@bugs.debian.org
Subject: iftop: Update on IPv6 situation.
Date: Mon, 20 Sep 2010 20:39:13 +0200
I am now in possession of a fully functional Iftop with IPv6.
The name resolution and netmasking for both address domains
have been added. The patch weighs in at some odd 1050 lines
at the moment, so I doubt that the release team will accept
it for Squeeze.

While I keep reviewing the coding some more rounds, do feel
free to comment on these additions:

   * the new switch  "-G net/mask"  takes care of IPv6
   * this is "net-filter6" in the configuration.

   * the switch  "-l"  excludes the counting of IPv6
     link-local traffic, the default is on;
   * the config option "link-local true/false" determines
     if link-local traffic is counted or not.

Regards,
Mats Erik Andersson




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Reichle-Schmehl <tolimar@debian.org>:
Bug#427852; Package iftop. (Tue, 28 Sep 2010 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Extra info received and forwarded to list. Copy sent to Alexander Reichle-Schmehl <tolimar@debian.org>. (Tue, 28 Sep 2010 15:15:06 GMT) Full text and rfc822 format available.

Message #30 received at 427852@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: 427852@bugs.debian.org
Subject: iftop: Complete IPv6 patch
Date: Tue, 28 Sep 2010 17:11:30 +0200
[Message part 1 (text/plain, inline)]
package iftop
tags 427852 + patch
thanks


Hello there,

I now venture to submit a complete IPv6 patch for further
evaluation by all interested parties.

The code introduces configuration items "link-local"
and "net-filter6", as well as command line switches
"-l" and "-G". Their uses have been incorporated into
the usage printout and into the manual page.

In fact, the suggested patch addresses all of

   #427852, #425488, #477928, #595169, and #598367.

It is important that the present patch includes a minor,
but mandatory, change to "debian/rules", a change which
should be separately applied of obvious reasons.

-- 
Mats Erik Andersson, fil. dr
<debian@gisladisker.se>
2459 41E9 C420 3F6D F68B  2E88 F768 4541 F25B 5D41

Abonnerar på: debian-mentors, debian-devel-games, debian-perl,
              debian-ipv6, debian-qa
[iftop_complete_ipv6_capability.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mats Erik Andersson <mats.andersson@gisladisker.se> to control@bugs.debian.org. (Tue, 28 Sep 2010 15:15:08 GMT) Full text and rfc822 format available.

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Fri, 15 Oct 2010 11:36:07 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Fri, 15 Oct 2010 11:36:07 GMT) Full text and rfc822 format available.

Message #37 received at 427852-close@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 427852-close@bugs.debian.org
Subject: Bug#427852: fixed in iftop 0.17-17
Date: Fri, 15 Oct 2010 11:33:24 +0000
Source: iftop
Source-Version: 0.17-17

We believe that the bug you reported is fixed in the latest version of
iftop, which is due to be installed in the Debian FTP archive:

iftop-dbg_0.17-17_amd64.deb
  to main/i/iftop/iftop-dbg_0.17-17_amd64.deb
iftop_0.17-17.diff.gz
  to main/i/iftop/iftop_0.17-17.diff.gz
iftop_0.17-17.dsc
  to main/i/iftop/iftop_0.17-17.dsc
iftop_0.17-17_amd64.deb
  to main/i/iftop/iftop_0.17-17_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 427852@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl <tolimar@debian.org> (supplier of updated iftop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 15 Oct 2010 11:30:59 +0200
Source: iftop
Binary: iftop iftop-dbg
Architecture: source amd64
Version: 0.17-17
Distribution: experimental
Urgency: low
Maintainer: Alexander Reichle-Schmehl <tolimar@debian.org>
Changed-By: Alexander Reichle-Schmehl <tolimar@debian.org>
Description: 
 iftop      - displays bandwidth usage information on an network interface
 iftop-dbg  - displays bandwidth usage information on an network interface (deb
Closes: 425488 427852 477928 595169 598367
Changes: 
 iftop (0.17-17) experimental; urgency=low
 .
   * Use versioned build depends on quilt to allow easy backporting
   * Add IPv6 support (Closes: #427852)
   * Fix segfault when using the same command line argument multiple time
     (Closes: #425488)
   * Fix typo in display (Closes: #477928)
   * Use better hash Algorithm in address pairs (Closes: #595169)
   * Fix link-level address detection on kfreebsd-* (Closes: #598367)
   * Many thanks for Mats Erik Andersson for working on these issues!
Checksums-Sha1: 
 01781abdca2370ecc76c2569c757756d3f46d4bc 1850 iftop_0.17-17.dsc
 fa165a266d3b4a08f7a449713da1db8cfd7db645 16300 iftop_0.17-17.diff.gz
 e50be10cc7344dd6c3166d85e75cc1415d201a23 38318 iftop_0.17-17_amd64.deb
 5e7e8dcb947814e30fa42014b585cd512e127ebb 52398 iftop-dbg_0.17-17_amd64.deb
Checksums-Sha256: 
 2d85a884b600476a169d448601c695cdd033e65db0f7a6e0e56a7d95c149586e 1850 iftop_0.17-17.dsc
 d5c292247bf1a4eacec89188b7f72ee75eef76676f57d4927df86b4ed884b1e2 16300 iftop_0.17-17.diff.gz
 ea360fa844fda1f68d2b39a6174b30548b47c621c987dd3ec0615aaad7481f4a 38318 iftop_0.17-17_amd64.deb
 047328befe2340596042e62e54cb965c23827975072aa4718bf4bf5e67ec2603 52398 iftop-dbg_0.17-17_amd64.deb
Files: 
 7f1354f40f22249df887bd0fe9af6194 1850 net optional iftop_0.17-17.dsc
 6bda23583c787c8e4e8c4100b1c58169 16300 net optional iftop_0.17-17.diff.gz
 9b66824b21c2c8b874b8eea1a97180f9 38318 net optional iftop_0.17-17_amd64.deb
 2a9b26d678e6ad6e57a5b8a6a99af25d 52398 debug extra iftop-dbg_0.17-17_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMuDQVAAoJEMJLZaJnLIsSP78P/jVUYdPX01QIdp70elK+nmRy
MGyR0iOfBcEQM5XZlCxXARziOZbO6BImkScCsFPVXHqF5ZPi41jq61e5S5MUadhh
ayt4As9td3gGAqkvCEwLvGLd3qFGTv3tzhEcMCfaUzHdozllM8B/8qyFCTw2oew1
DCCS7WrCiwGaIp/PTI/sBndF9up0F6iYnwrwRkDrmdV4wX1sQZw5zJc9h28PCTdN
qRFOZjiHxKetSvBUaM3+De06Idfn2GSpGaKcBzryzo1g2Sr2+GHL0v/uqBCVarlQ
JL/0EWsthJrSS0w1PMtK9REoUoqxj0wsF8BsrMd5AIbKpRoQogeoh2t8U9XLgdro
1ZJHUPWBQxfrPpSzDh4SeV22SV/DPnuF1zp87TBeGzAEXUQXb9nKAPifiq+Ewyjo
Wl71rnqYUBAadM7Ylu4psGRgdYbotfIeOLoY24G+azw7XNiRCg73KfBXQ1WRUn+l
Mfta/XaltXkFMMGrGNqQmZGGHM7rcbT2geh9ScoPR84WyVMAGWj1glQ6e6vpqZz1
D3baOcN5qCPg9V9ejOOQhpSEAAkoSTowsAd++UsdjrdExrNUaihZ7duQ+YxIN3sj
IWn4XBFLLU05n1ZMWW847lEila75NkrZyBNsv75btG4zJYAQOhZ0scaLKLSQ8m/a
JEiwrAgVlKJDl3p5yLk7
=/W+C
-----END PGP SIGNATURE-----





Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:10 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:45:31 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:49:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:38:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.